Register New Agent or Manager

Prev Next
Post
/api/v1/livechat/users/{type}

Register a new agent or manager. Permission required:

  • If the type is agent: manage-livechat-agents.
  • If the type is manager: manage-livechat-managers.

Requests without the required permission return a 403 response.

Changelog

Version Description
8.9.0 Required manage-livechat-agents for agents and manage-livechat-managers for managers.
0.42.0 Added
Header parameters
X-Auth-Token
stringRequired

The authToken of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired

The userId of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
Path parameters
type
stringRequired

The type of user that you want to register. The value can either be agent or manager.

Exampleagent
Body parameters
Example 1
{
  "username": "john.doe"
}
object
username
string Required

The user name that you want to register.

Responses
200

OK

Success Example
{
  "user": {
    "_id": "SQafHvoFPuB57NmBD",
    "username": "john.doe"
  },
  "success": true
}
Expand All
object
user
object
_id
string
username
string
success
boolean
400

Bad Request

Example 1
{
  "success": false,
  "error": "must have required property 'username' [invalid-params]",
  "errorType": "invalid-params"
}
object
success
boolean
error
string
errorType
string
401

Unauthorized

Authorization Error
{
  "status": "error",
  "message": "You must be logged in to do this."
}
object
status
string
message
string
403

Forbidden

Example 1
{
  "success": false,
  "error": "unauthorized"
}
object
success
boolean
error
string